%global rosdistro fuerte
%global stackname dynamic_reconfigure

%global __os_install_post %(echo '%{__os_install_post}' | sed -e 's!/usr/lib[^[:space:]]*/brp-python-bytecompile[[:space:]].*$!!g')

Name:           ros-%{rosdistro}-dynamic-reconfigure
Version:        1.4.2
Release:        2%{?dist}
Summary:        Change ROS node parameters without restarting

License:        BSD
URL:            http://ros.org/
Source0:        https://code.ros.org/svn/release/download/stacks/%{stackname}/%{stackname}-%{version}/%{stackname}-%{version}.tar.bz2
Patch0:         dynamic-reconfigure-1.4.2-boost150.patch
Provides:       ros-%{stackname}%{?_isa} = %{version}-%{release}
Provides:       ros-dynamic-reconfigure%{?_isa} = %{version}-%{release}

BuildRequires:  boost-devel
BuildRequires:  cmake
BuildRequires:  gtest-devel
BuildRequires:  log4cxx-devel
BuildRequires:  ros-%{rosdistro}-catkin-devel
BuildRequires:  ros-%{rosdistro}-ros-devel
BuildRequires:  ros-%{rosdistro}-roscpp-core-devel
BuildRequires:  ros-%{rosdistro}-ros-comm-devel
BuildRequires:  ros-%{rosdistro}-gencpp
BuildRequires:  ros-%{rosdistro}-genmsg-devel
BuildRequires:  ros-%{rosdistro}-genlisp-devel
BuildRequires:  ros-%{rosdistro}-genpy-devel
BuildRequires:  ros-%{rosdistro}-rospack-devel

%description
At present, the focus of dynamic_reconfigure is on providing a standard way 
to expose a subset of a node's parameters to external reconfiguration. Client 
programs, e.g., GUIs, can query the node for the set of reconfigurable 
parameters, including their names, types, and ranges, and present a 
customized interface to the user. This is especially useful for hardware 
drivers, but has broader applicability. 

#%package devel
#Requires: %{name}%{?_isa} = %{version}-%{release}
#Provides: ros-%{stackname}-devel%{?_isa} = %{version}-%{release}
#Provides: ros-dynamic-reconfigure-devel%{?_isa} = %{version}-%{release}
#Summary:  Development files for %{name}

#%description devel
#%{summary}.

%prep
%setup -q -c
# We have to do this so the cmake gunk can find itself. So idiotic.
mv %{stackname}-%{version} %{stackname}
cd %{stackname}
%patch0 -p0

%build
cd %{stackname}
source /opt/ros/%{rosdistro}/setup.sh
export ROS_PACKAGE_PATH=%{_builddir}/%{name}-%{version}:$ROS_PACKAGE_PATH
mkdir build
pushd build
%cmake -DSETUPTOOLS_DEB_LAYOUT=OFF ..
make %{?_smp_mflags}
popd

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %{buildroot}/opt/ros/%{rosdistro}/stacks
cp -r %{stackname} %{buildroot}/opt/ros/%{rosdistro}/stacks/
touch %{buildroot}/opt/ros/%{rosdistro}/stacks/%{stackname}/ROS_NOBUILD

%files
/opt/ros/%{rosdistro}/stacks/%{stackname}

%changelog
* Tue Mar 19 2013 Rich Mattes <richmattes@gmail.com> - 1.4.2-2
- Rebuild for new copr

* Mon Jan 14 2013 Rich Mattes <richmattes@gmail.com> - 1.4.2-1
- Initial fuerte package

